<?php
include ('conexao.php');
include ('logout_tempo.php');

session_start();
    
    $reservador = false;
    if (isset($_SESSION['nome'])) {
        $nome_usuario = $_SESSION['nome'];
       
        $query_reservador = "SELECT reservador FROM usuarios WHERE nome = '$nome_usuario'";
        include('conexao.php'); 
        $resultado_reservador = mysqli_query($conexao, $query_reservador);
        if ($resultado_reservador) { 
            $row_reservador = mysqli_fetch_assoc($resultado_reservador);
            if ($row_reservador) { 
                $reservador = ($row_reservador['reservador'] == 1);
            }
        } else {
            echo "Erro na consulta: " . mysqli_error($conexao); // Exibindo mensagem de erro caso ocorra
        }
    }
    
    $result_usuario = "SELECT * FROM carros ORDER BY CAST(SUBSTRING(modelo, 4) AS UNSIGNED) ASC";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);
        
    $result_reboque = "SELECT * FROM reboque ORDER BY id_reboque ASC";
    $resultado_reboque = mysqli_query($conexao, $result_reboque);
  
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <title>KM Taldi</title>
    <style>
        #caixa {
            border-radius: 35px;
            width: 100px;
            height: 40px;
            margin-left: auto;
            margin-right: auto;
        }
        table {
          width: 100%; 
        
        th, td {
          text-align: center; 
          vertical-align: middle; 
        }
    </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Carros</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <?php if ($reservador): ?>
                        <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reservar</a>
                    <?php endif; ?>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="painel.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" id="filtro" placeholder="Filtrar veículo..." aria-label="Search">
            </form>
        </div>
    </div>
</nav>

<div class="container">
    <h1 align="center" style="margin-top:70px">Edição de Carros</h1>
    <div class="row my-3">
        <div class="col text-center">
            <button id="btnCarros" class="btn btn-dark">Carros</button>
            <button id="btnReboques" class="btn btn-secondary">Reboques</button>
        </div>
    </div>

    <a id='caixa' class="btn btn-outline-dark m-2" style="width:150px; height:40px; text-align:center; margin-left:0px; text-decoration:none;" href="cadastro_carro.php">Cadastrar Carro</a>
            
    <a id='caixa' class="btn btn-outline-dark m-2" style="width:170px; height:40px; text-align:center; margin-left:0px; text-decoration:none;" href="cadastro_reboque.php">Cadastrar Reboque</a>
            
    <a id='caixa' class="btn btn-outline-dark m-2 " style="width:170px; height:40px; text-align:center; margin-left:0px; text-decoration:none;" href="carros_devolvidos.php">Carros Devolvidos</a>

            
    <div style='margin-top:20px;' class="table-responsive">
        <table id="tableCarros" class="table table-bordered table-hover">
            <thead class="thead-dark">
                <tr class="">
    
                    <th style="font-size:20px" scope="col"><center>Modelo</center></th>
                    <th style="font-size:20px" scope="col"><center>Marca</center></th>
                    <th style="font-size:20px" scope="col"><center>Placa</center></th>
                    <th style="font-size:20px" scope="col"><center>Ano</center></th>
                    <th style="font-size:20px" scope="col"><center>KM</center></th>
                    
                    <th style="font-size:20px" scope="col"><center>Retirado</center></th>
                    <th style="font-size:20px" scope="col"><center>Retirador</center></th>
                    <th style="font-size:20px" scope="col"><center>Reserva</center></th>
                    <th style="font-size:20px" scope="col"><center>Anexo</center></th>
                    
                    <th style="font-size:20px" scope="col"><center>Editar</center></th>
                    <th style="font-size:20px" scope="col"><center>Excluir</center></th>
    
                </tr>
        </thead>
        <tbody>
            <?php
        
                if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                    while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                                
            ?>
                        
                <tr>
            
                     <td style="font-size:17px"><?php echo $row_usuario['modelo'];?></td>
                     <td style="font-size:17px"><?php echo $row_usuario['marca'];?></td>
                     <td style="font-size:17px"><?php echo $row_usuario['placa'];?></td>  
                     <td style="font-size:17px"><?php echo $row_usuario['ano'];?></td>
                     <td style="font-size:17px"><?php echo $row_usuario['km'];?></td>
                     <td style="font-size:17px">
                        <?php 
                            if ($row_usuario['retirado'] == 1){
                                echo "sim";
                            }else{
                                echo "nao";    
                            }
                        ?>
                    </td>
                    <td style="font-size:17px"><?php echo $row_usuario['retirador'];?></td>
                    
                    <!--- Botão de ativar reserva --->
                    <td style="font-size:18px"><center>
                        <?php
                            
                            if (true){
                                if ($row_usuario['reserva'] == 1){
                                    
                                    echo "<form method='post' action='desativar_but.php' ajaxR='true'> 
                                        <input type='hidden' value=" . $row_usuario['id_carro'] . " name= 'input' id= " . $row_usuario['modelo'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 40px;'>
                                        <input id='caixa' type='submit' style='font-size:18px' value='Retirar' class='btn btn-outline-dark m-2' style='width: 90px; height: 40px;'>
                                        </form>";
                                    
                                }else{
        
                                        echo "<form method='post' action='ativar_but.php' ajaxA='true'> 
                                            <input type='hidden' value=" . $row_usuario['id_carro'] . " name= 'input' id= " . $row_usuario['modelo'] ." class='btn btn btn-outline-success m-2' style='width: 100px; height: 40px;'> 
                                            <input id='caixa' type='submit' style='font-size:18px' value='Ativar' class='btn btn-outline-dark m-2' style='width: 90px; height: 40px;'>
                                            </form>";
                                        
                                }
                                
                            }else{
                                
                                echo "<form method='post' action='desativar_but.php' ajaxR='true'> 
                                <input type='hidden' value=" . $row_usuario['id_carro'] . " name= 'input' id= " . $row_usuario['modelo'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 40px;'>
                                <input type='hidden' style='font-size:18px' value='Retirar' class='btn btn-outline-dark m-2' style='width: 90px; height: 40px;'>
                                </form>";
                                
                            }
                            
                        ?>
                        
                    </center></td>
                    
                    
                    <!--- Botão deativar anexo de imagem --->
                    <td style="font-size:18px"><center>
                        <?php
                            
                            if (true){
                                if ($row_usuario['anexo'] == 1){
                                    
                                    echo "<form method='post' action='desativar_but_anexo.php' ajaxR='true'> 
                                        <input type='hidden' value=" . $row_usuario['id_carro'] . " name= 'input' id= " . $row_usuario['modelo'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 40px;'>
                                        <input id='caixa' type='submit' style='font-size:18px' value='Retirar' class='btn btn-outline-dark m-2' style='width: 100px; height: 40px;'>
                                        </form>";
                                    
                                }else{
        
                                        echo "<form method='post' action='ativar_but_anexo.php' ajaxA='true'> 
                                            <input type='hidden' value=" . $row_usuario['id_carro'] . " name= 'input' id= " . $row_usuario['modelo'] ." class='btn btn btn-outline-success m-2' style='width: 100px; height: 40px;'> 
                                            <input id='caixa' type='submit' style='font-size:18px' value='Ativar' class='btn btn-outline-dark m-2' style='width: 100px; height: 40px;'>
                                            </form>";
                                        
                                }
                                
                            }else{
                                
                                echo "<form method='post' action='desativar_but_anexo.php' ajaxR='true'> 
                                <input type='hidden' value=" . $row_usuario['id_carro'] . " name= 'input' id= " . $row_usuario['modelo'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 40px;'>
                                <input type='hidden' style='font-size:18px' value='Retirar' class='btn btn-outline-dark m-2' style='width: 100px; height: 40px;'>
                                </form>";
                                
                            }
                            
                        ?>
                        
                    </center></td>
                        
                        
                     <td style="font-size:18px">
                        <?php
                            
                            echo "<form method='post' action='editar_carro.php'> 
                            <input type='hidden' name='carro' id= ". $row_usuario['id_carro'] ." value= ". $row_usuario['id_carro'] ." >
                            <input id='caixa' style='font-size:18px' type='submit' class='btn btn-outline-dark m-2' value='Editar'>
                            </form>"; 
                            
                        ?> 
                    </td>
                        
                     <td style="font-size:18px">
                        
                        <?php 
        
                            echo "<form method='post' action='excluir_carro.php'> 
                            <input type='hidden' name='carro' id= ". $row_usuario['id_carro'] ." value= ". $row_usuario['id_carro'] ." >
                            <input id='caixa' style='font-size:18px' type='submit' class='btn btn-outline-dark m-2' value='Excluir'>
                            </form>"; 
                            
                        ?> 
                        
                    </td>
                        
                </tr>
                                
                    <?php
                        }    
                        }else{
                            echo "Erro";
                        }
                    ?>
                    
            </tbody>
        </table>
    </div>
        
<!------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------>
    <div class="container">    
        <table id="tableReboques" class="table table-bordered" style="margin-top:20px; background-color: #fffffd; display: none;">
            <thead class="thead-dark">
                <tr class="">
                    
                    <th style="font-size:20px" scope="col"><center>Modelo</center></th>
                    <th style="font-size:20px" scope="col"><center>Placa</center></th>
                    
                    <th style="font-size:20px" scope="col"><center>Retirado</center></th>
                    <th style="font-size:20px" scope="col"><center>Retirador</center></th>
                    
                    <th style="font-size:20px" scope="col"><center>Editar</center></th>
                    <th style="font-size:20px" scope="col"><center>Excluir</center></th>
                    
                </tr>
            </thead>
            <tbody>
                <?php
                    if(($resultado_reboque) AND ($resultado_reboque->num_rows != 0)) {
                        while($row_reboque = mysqli_fetch_assoc($resultado_reboque)){
                                
                ?>
                    
                <tr>
                
                    <td style="font-size:18px"><?php echo $row_reboque['modelo'];?></td>
                    <td style="font-size:18px"><?php echo $row_reboque['placa'];?></td>
                        
                    <td style="font-size:18px">
                        <?php 
                            if ($row_reboque['retirado'] == 1){
                                echo "sim";
                            }else{
                                echo "nao";    
                            }
                        ?>
                    </td>
                    
                    <td style="font-size:18px"><?php echo $row_reboque['retirador'];?></td>

                     <td style="font-size:18px">
                        <?php 
        
                            echo "<form method='post' action='editar_reboque.php'> 
                            <input type='hidden' name='reboque' id= ". $row_reboque['id_reboque'] ." value= ". $row_reboque['id_reboque'] ." >
                            <input id='caixa' style='font-size:18px' type='submit' class='btn btn-outline-dark m-2' value='Editar'>
                            </form>"; 
                            
                        ?> 
                    </td>
                    
                     <td style="font-size:18px">
                        <?php 
        
                            echo "<form method='post' action='excluir_reboque.php'> 
                            <input type='hidden' name='reboque' id= ". $row_reboque['id_reboque'] ." value= ". $row_reboque['id_reboque'] ." >
                            <input id='caixa' style='font-size:18px' type='submit' class='btn btn-outline-dark m-2' value='Excluir'>
                            </form>"; 
                            
                        ?> 
                    </td>
                </tr>
                                
                    <?php
                        }    
                        }else{
                            echo "Erro";
                        }
                    ?>
                    
            </tbody>
        </table>
    </div>     
</div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('btnCarros').addEventListener('click', function() {
                document.getElementById('tableCarros').style.display = 'table';
                document.getElementById('tableReboques').style.display = 'none';
                document.getElementById('btnCarros').classList.add('btn-dark');
                document.getElementById('btnCarros').classList.remove('btn-secondary');
                document.getElementById('btnReboques').classList.add('btn-secondary');
                document.getElementById('btnReboques').classList.remove('btn-dark');
            });
            
            document.getElementById('btnReboques').addEventListener('click', function() {
                document.getElementById('tableReboques').style.display = 'table';
                document.getElementById('tableCarros').style.display = 'none';
                document.getElementById('btnReboques').classList.add('btn-dark');
                document.getElementById('btnReboques').classList.remove('btn-secondary');
                document.getElementById('btnCarros').classList.add('btn-secondary');
                document.getElementById('btnCarros').classList.remove('btn-dark');
            });
        
            document.getElementById('filtro').addEventListener('input', function() {
                const filtro = this.value.toLowerCase();
                const linhasCarros = document.querySelectorAll('#tableCarros tbody tr');
                const linhasReboques = document.querySelectorAll('#tableReboques tbody tr');
        
                linhasCarros.forEach(function(linha) {
                    const conteudo = linha.innerText.toLowerCase();
                    linha.style.display = conteudo.includes(filtro) ? '' : 'none';
                });
        
                linhasReboques.forEach(function(linha) {
                    const conteudo = linha.innerText.toLowerCase();
                    linha.style.display = conteudo.includes(filtro) ? '' : 'none';
                });
            });
        });
    </script>

</body>
</html>