<?php
session_start();
if (!isset($_SESSION['nome'])) {

?>

<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>

    <title>KM Taldi</title>
    
    <style>
        body {
            margin: 0;
            font-family: Arial, sans-serif;
            background-color: #f8f8f8;
        }
        /* Estiliza a seção para ocupar toda a página */
        section {
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: #f0f0f0;
            min-height: 100%; /* Ocupa 100% da altura da janela */
        }
        .login-wrap {
            background: #fff;
            padding: 30px;
            box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
        }
        .icon img {
            margin-bottom: 20px;
        }
        h3 {
            color: #333;
            font-size: 24px;
            font-weight: bold;
        }
        .message-container {
            text-align: center;
            font-size: 16px;
            color: #ff0000; /* Destacar a mensagem de erro em vermelho */
            font-weight: bold;
        }
    </style>
</head>
<body>
    <section class="ftco-section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-6 text-center mb-5">
                    <h1 class="heading-section">Acesso Negado</h1>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-md-6 col-lg-5">
                    <div class="login-wrap p-4 p-md-5">
                        <div class="icon d-flex align-items-center justify-content-center">
                            <img src="images/logo.png" width="132" height="126" style="margin-left:7px" />
                        </div>
                        <h2 class="text-center mb-4">KM Taldi</h2>
                        <form id="login" action="login.php" method="POST">
                            <div class="form-group">
                                <?php
                                    echo '<div class="message-container">';
                                    echo 'Você não pode acessar esta página <br> porque não está logado.<br><br>';
                                    echo '<center><a class="btn btn-outline-dark m-2" style="font-size:20px; width:100px; height:50px" href="../index.php">Entrar</a></center>';
                                    echo '</div>';
                                    exit;
                                ?>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <script src="js/jquery.min.js"></script>
    <script src="js/popper.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/main.js"></script>
</body>
</html>

<?php

}

?>