<?php
include ('conexao.php');
include ('logout_tempo.php');

//$eu = "thalison";

session_start();

//$nome = $_SESSION['nome'];

$reservador = false;
if (isset($_SESSION['nome'])) {
    $nome_usuario = $_SESSION['nome'];
   
    $query_reservador = "SELECT reservador FROM usuarios WHERE nome = '$nome_usuario'";
    include('conexao.php'); 
    $resultado_reservador = mysqli_query($conexao, $query_reservador);
    if ($resultado_reservador) { 
        $row_reservador = mysqli_fetch_assoc($resultado_reservador);
        if ($row_reservador) { 
            $reservador = ($row_reservador['reservador'] == 1);
        }
    } else {
        echo "Erro na consulta: " . mysqli_error($conexao); // Exibindo mensagem de erro caso ocorra
    }
}
    $result_usuario = "SELECT * FROM carros ORDER BY id_carro ASC";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);
  
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <title>KM Taldi</title>
    <style>
        #caixa {
            border-radius: 35px;
            width: 165px;
            height: 40px;
            margin-left: auto;
            margin-right: auto;
        }
        table {
          width: 100%; 
        }
        th, td {
          text-align: center; 
          vertical-align: middle; 
        }
    </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Relátorio das Reservas</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reservar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="painel.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" id="filtro" placeholder="Filtrar relatório..." aria-label="Search">
            </form>
        </div>
    </div>
</nav>


<h1 align="center" style="margin-top:60px">Relátorio de Reservas</h1>

<div class="container">
    <div class="table-responsive">
        <table class="table table-bordered table-hover">
            <thead class="thead-dark">
                <tr height="50">
                    <th style="font-size:20px" scope="col">Nº</th>
                    <th style="font-size:20px" scope="col">Modelo</th>
                    <th style="font-size:20px" scope="col">Placa</th>
                    <th style="font-size:20px" scope="col">Reserva</th>
                    <th style="font-size:20px" scope="col">Devolução</th>
                    <th style="font-size:20px" scope="col">Destino</th>
                    <th style="font-size:20px" scope="col">Quem usou</th>
                    <th style="font-size:20px" scope="col">Status</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $cont = 0;
                $result = "SELECT * FROM reserva ORDER BY id_carro = 25 DESC, id_carro ASC, data DESC, usuario ASC";
                $resultado = mysqli_query($conexao, $result);
                if(($resultado) AND ($resultado_usuario->num_rows != 0)) {
                    while($row = mysqli_fetch_assoc($resultado)){ 
                        $id = $row['id_reserva'];
                        $data = $row['Data'];
                        $reserva = $row['Reserva'];
                        $devolucao =  $row['Devolucao'];
                        $usou = $row['usuario'];
                        $id_carro = $row['id_carro'];
                        $destino = $row['destino'];

                        $result_usuario = "SELECT * FROM carros ORDER BY id_carro ASC";
                        $resultado_usuario = mysqli_query($conexao, $result_usuario);

                        if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                            while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                                $id_car = $row_usuario['id_carro'];
                                if($id_carro == $id_car){
                                    $carro = $row_usuario['modelo'];
                                    $placa = $row_usuario['placa'];
                                    $cont++;

                                    // Lógica para verificar se a devolução está ativa ou inativa
                                    $data_atual = date("Y-m-d H:i:s"); // Data e hora atuais
                                    $status = (strtotime($devolucao) > strtotime($data_atual)) ? 'Ativo' : 'Inativo';
                                    ?>
                                    <tr>
                                        <td id="<?php echo $id;?>" style="text-align: center;"> <?php echo $cont;?></td>
                                        <td style="font-size:18px"> <?php echo $carro;?></td>
                                        <td style="font-size:18px"> <?php echo $placa;?></td>
                                        <td style="font-size:18px"> <?php echo $reserva;?></td>
                                        <td style="font-size:18px"> <?php echo $devolucao;?></td>
                                        <td style="font-size:18px"> <?php echo $destino;?></td>
                                        <td style="font-size:18px"> <?php echo $usou;?></td>
                                        <td style="font-size:20px; color: <?php echo ($status == 'Ativo' ? 'green' : 'red'); ?>;"> <?php echo $status;?></td>
                                    </tr>
                                    <?php
                                }
                            }    
                        } else {
                            echo "Erro ao buscar carros";
                        }
                    }
                } else {
                    echo "Erro ao buscar reservas";
                }
                ?>
            </tbody>
        </table>
    </div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function () {
        const filtro = document.getElementById('filtro');
        const linhas = Array.from(document.querySelectorAll('tbody tr'));

        filtro.addEventListener('input', function () {
            const termo = this.value.trim().toLowerCase();
            requestAnimationFrame(() => {
                linhas.forEach(linha => {
                    linha.style.display = linha.textContent.toLowerCase().includes(termo) ? 'table-row' : 'none';
                });
            });
        });
    });
</script>

</body>
</html>
