<?php
session_start();
include ('conexao.php');

// Verifica se há uma URL salva para redirecionamento e remove após usar
$redirect_url = isset($_SESSION['redirect_to']) ? $_SESSION['redirect_to'] : null;
unset($_SESSION['redirect_to']); 

if (empty($_POST['nome']) || empty($_POST['senha'])) {
    header('Location: index.php');
    exit();
}

// Lógica para "Lembrar-me"
if (!empty($_POST['lembrete'])) {
    setcookie('nome', $_POST["nome"], time() + 31536000);
    setcookie('senha', $_POST["senha"], time() + 31536000);
    setcookie('check', 'checked', time() + 31536000);
} else {
    setcookie('nome', '', time() - 3600);
    setcookie('senha', '', time() - 3600);
    setcookie('check', '', time() - 3600);
}

$nome = mysqli_real_escape_string($conexao, $_POST['nome']);
$senha = mysqli_real_escape_string($conexao, $_POST['senha']);

$query = "SELECT * FROM usuarios WHERE nome = '{$nome}' AND senha = md5('{$senha}')";
$result = mysqli_query($conexao, $query);
$row = mysqli_num_rows($result);
$dados = mysqli_fetch_array($result);

if ($row == 1) {
    $_SESSION['nome'] = $nome;

    // Se tiver uma URL salva para redirecionamento, usa ela
    if ($redirect_url) {
        header("Location: $redirect_url");
    } 
    // Se for admin, redireciona para painel admin
    elseif ($dados['permissao'] == 1) {
        header("Location: admin/painel.php");
    } 
    // Se for usuário comum, redireciona para painel padrão
    else {
        header("Location: painel.php");
    }
    exit();
} else {
    $_SESSION['nao_autenticado'] = true;
    echo "<script>
            alert('Usuário ou senha incorretos!');
            window.location.href = 'index.php';
          </script>";
    exit();
}
?>
