<?php
include ('conexao.php');
include ('logout_tempo.php');
session_start();

    $result_usuario = "SELECT * FROM carros ORDER BY id_carro ASC";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);

$nome = $_SESSION['nome'];
  
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <link rel="stylesheet" type="text/css" href="css/bulma.css">
    
    <title>KM Taldi</title>
    <style>

    </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Carros</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reservar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="carros.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<form id="login" action="cad_carro.php" method="POST">
    
    <section style="margin-top:-30px" class="hero is-light is-fullheight">
        <div class="hero-body">
            <div class="container has-text-centered">
                <div class="column is-4 is-offset-4">
                    <div class="box">

                        <h3 class="title has-text-dark">Cadastro de Carro</h3>

                        <div class="field">
                            <div class="control">
                                <input type="text" name="modelo" class="input is-large" placeholder="Inserir o modelo:" required>
                            </div>
                        </div>
    
                        <div class="field">
                            <div class="control">
                                <input type="text" name="marca" class="input is-large" placeholder="Inserir a marca:" >
                            </div>
                        </div>    
                            
                        <div class="field">
                            <div class="control">
                                <input type="text" name="placa" class="input is-large" placeholder="Inserir a placa:" required>
                            </div>
                        </div>

                        <div class="field">
                            <div class="control">
                                <input type="text" name="ano" class="input is-large" placeholder="Inserir a ano:" >
                            </div>
                        </div>

                        <div class="field">
                            <div class="control">
                                <input type="text" name="km" class="input is-large" placeholder="Inserir a KM:" required>
                            </div>
                        </div>

                        <br>

                        <div class="field">
                            <button id='caixa' type="submit" class="button is-block is-dark is-large is-fullwidth"> Cadastar </button>
                        </div>
                        
                        <div class="field">
                            <a id='caixa' href="carros.php" style="color:#fff; text-decoration:none" class="button is-block is-danger is-large is-fullwidth"> Volta </a>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        
    </section>

</form>
</body>
</html>