<?php
session_start();
include ('conexao.php');

if (!isset($_GET['id_carro'])) {
    echo "Erro: Nenhum carro selecionado.";
    exit();
}

$id_carro = $_GET['id_carro'];

// Consulta no banco de dados
$query = "SELECT * FROM carros WHERE id_carro = '{$id_carro}'";
$result = mysqli_query($conexao, $query);

if ($result && $row = mysqli_fetch_assoc($result)) {
    $_SESSION['id_carro'] = $row['id_carro'];
    $_SESSION['modelo'] = $row['modelo'];
    $_SESSION['marca'] = $row['marca'];
    $_SESSION['placa'] = $row['placa'];
    $_SESSION['ano'] = $row['ano'];
    $_SESSION['km'] = $row['km'];
    $_SESSION['retirado'] = $row['retirado'];
    $_SESSION['retirador'] = $row['retirador']; // Adiciona o campo do usuário que retirou

    // Verifica se o carro já foi retirado por outra pessoa
    if ($row['retirado'] == 1 && $row['retirador'] !== $_SESSION['nome']) {
        echo "<script>
                alert('Este carro já foi retirado por {$row['retirador']}');
                window.location.href = 'painel.php';
              </script>";
        exit();
    }

    // Redireciona para a página correta
    if ($row['retirado'] == 1) {
        header("Location: devolver_carro.php?id_carro=" . urlencode($id_carro));
    } else {
        header("Location: retirar_carro.php?id_carro=" . urlencode($id_carro));
    }
    exit();
} else {
    echo "Erro ao buscar dados do carro.";
    exit();
}
?>
