<?php
include ('conexao.php');
include ('logout_tempo.php');

//$eu = "thalison";

session_start();

//$nome = $_SESSION['nome'];

$reservador = false;
if (isset($_SESSION['nome'])) {
    $nome_usuario = $_SESSION['nome'];
   
    $query_reservador = "SELECT reservador FROM usuarios WHERE nome = '$nome_usuario'";
    include('conexao.php'); 
    $resultado_reservador = mysqli_query($conexao, $query_reservador);
    if ($resultado_reservador) { 
        $row_reservador = mysqli_fetch_assoc($resultado_reservador);
        if ($row_reservador) { 
            $reservador = ($row_reservador['reservador'] == 1);
        }
    } else {
        echo "Erro na consulta: " . mysqli_error($conexao); // Exibindo mensagem de erro caso ocorra
    }
}
    $result_usuario = "SELECT * FROM carros ORDER BY id_carro ASC";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);
  
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <title>KM Taldi</title>
    <style>
        #caixa {
            border-radius: 35px;
            width: 165px;
            height: 40px;
            margin-left: auto;
            margin-right: auto;
        }
        table {
          width: 100%; 
        }
        th, td {
          text-align: center; 
          vertical-align: middle; 
        }
        .img-container {
            width: 50px;
            height: 50px;
            border-radius: 50%;
        }
        .img-thumbnail-3x4 {
            width: 100px;
            height: 100px;
            object-fit: cover;
        }

    </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Relátorio</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reservar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="painel.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" id="filtro" placeholder="Filtrar relatório..." aria-label="Search">
            </form>
        </div>
    </div>
</nav>


<h1 align="center" style="margin-top:60px">Relatório</h1>

<div class="container">
   <div class="row my-3">
         <!---<div class="col text-center">
            <button id="btnCarros" class="btn btn-dark">Carros</button>
            <button id="btnReboques" class="btn btn-secondary">Reboques</button>
        </div>--->
    </div>

    <?php

        echo "<form method='post' action='registro.php'> 
            <input id='caixa' style='margin-top:5px; margin-bottom:5px; width:80px; style='font-size:18px' height:40px; text-align:center; margin-left:0px; text-decoration:none;'  type='submit' class='btn btn-outline-dark m-2' value='Registro'>
            </form>";
    
    ?>
                        
    <?php

        echo "<form method='post' action='relatorio2.php'> 
            <input id='caixa' style='margin-top:5px; margin-bottom:15px; style='font-size:18px' width:180px; height:40px; text-align:center; margin-left:0px; text-decoration:none;'  type='submit' class='btn btn-outline-dark m-2' value='Relatório Devolvidos'>
            </form>";
            
    ?>
                        
        <div class="container">
    <div class="table-responsive">
        <table class="table table-bordered table-hover">
            <thead class="thead-dark">
                <tr>
                    <th>Nº</th>
                    <th>Modelo</th>
                    <th>Placa</th>
                    <th>KM Entregue</th>
                    <th>KM Gastos</th>
                    <th>KM Devolvida</th>
                    <th>Retirada</th>
                    <th>Devolução</th>
                    <th>Quem Usou</th>
                    <th>Situação</th>
                    <th>Imagem</th> <!-- Nova coluna para a foto -->
                </tr>
            </thead>
           <tbody>
                <?php
                $cont = 0;
                $result = "SELECT * FROM retirado ORDER BY situacao DESC, id_carro = 25 DESC, id_carro ASC, data DESC, usuario ASC";
                $resultado = mysqli_query($conexao, $result);
                if ($resultado && mysqli_num_rows($resultado) != 0) {
                    while ($row = mysqli_fetch_assoc($resultado)) { 
                        $id = $row['id_retirado'];
                        $data = $row['data'];
                        $devolucao = $row['devolucao'];
                        $usou = $row['usuario'];
                        $id_carro = $row['id_carro'];
                        $km_usado = $row['km_usado'];
                        $km_entregue = $row['km_entregue'];
                        $situacao = $row['situacao'];
                        $img = $row['img']; // Coluna de imagem
            
                        $result_carro = "SELECT * FROM carros WHERE id_carro = '$id_carro'";
                        $resultado_carro = mysqli_query($conexao, $result_carro);
                        if ($resultado_carro && mysqli_num_rows($resultado_carro) != 0) {
                            $row_carro = mysqli_fetch_assoc($resultado_carro);
                            $carro = $row_carro['modelo'];
                            $placa = $row_carro['placa'];
                            $cont++;
            
                            // Se tiver uma imagem, exibe. Caso contrário, exibe "Sem imagem".
                            $imagem_html = $img ? "<img src='$img' class='img-container' alt='Imagem do carro'>" : "Sem imagem";
                ?>
                            <tr>
                                <td><?php echo $cont; ?></td>
                                <td><?php echo $carro; ?></td>
                                <td><?php echo $placa; ?></td>
                                <td><?php echo $km_entregue; ?></td>
                                <td><?php echo $km_usado; ?></td>
                                <td><?php echo $km_entregue + $km_usado; ?></td>
                                <td><?php echo $data; ?></td>
                                <td><?php echo $devolucao; ?></td>
                                <td><?php echo $usou; ?></td>
                                <td><?php echo $situacao; ?></td>
                                <td>
                                    <?php if ($img) { ?>
                                        <!-- Exibe imagem em tamanho pequeno -->
                                        <img src="<?php echo $img; ?>" class="img-thumbnail img-thumbnail-3x4" data-bs-toggle="modal" data-bs-target="#imagemModal<?php echo $id; ?>" alt="Imagem do carro">
                                    <?php } else { ?>
                                        Sem imagem
                                    <?php } ?>
                                </td>
                            </tr>
            
                            <!-- Modal para cada imagem -->
                            <div class="modal fade" id="imagemModal<?php echo $id; ?>" tabindex="-1" aria-labelledby="imagemModalLabel<?php echo $id; ?>" aria-hidden="true">
                              <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="imagemModalLabel<?php echo $id; ?>">Imagem do Carro</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
                                  </div>
                                  <div class="modal-body">
                                    <!-- A imagem em tamanho maior -->
                                    <img src="<?php echo str_replace('admin/', '', $img); ?>" class="img-fluid" alt="Imagem do Carro">
                                  </div>
                                </div>
                              </div>
                            </div>
            
                <?php
                        }
                    }
                } else {
                    echo "<tr><td colspan='11'>Nenhum dado encontrado.</td></tr>";
                }
                ?>
            </tbody>
        </table>
    </div>
</div>



<!--- Reboque --->                         
<!------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------>    
    <div class="container"> 
    <!---id="tableReboques"--->
        <table  class="table table-bordered" style="margin-top:20px; background-color: #fffffd;">
            <thead class="thead-dark">
                <tr height="50" >
                
                    <th colspan="2" scope="col" style="text-align: center; font-size:20px;">Nº</th>
                    <th colspan="2" scope="col" style="text-align: center; font-size:20px;">Modelo</th>
                    <th colspan="2" scope="col" style="text-align: center; font-size:20px;">Placa</th>
                    <th style="font-size:20px" scope="col">Retirada</th>
                    <th style="font-size:20px" scope="col">Devolução</th>
                    <th style="font-size:20px" scope="col">Quem Usou</th>
                    <th style="font-size:20px" scope="col">Stiuação</th>
        
                </tr>
            </thead>
            <tbody>
        
                <?php
                    $cont = 0;
                    $result = "SELECT * FROM retirado ORDER BY situacao DESC";
                    $resultado = mysqli_query($conexao, $result);
                    if(($resultado) AND ($resultado_usuario->num_rows != 0)) {
                        while($row = mysqli_fetch_assoc($resultado)){ 
                                
                            $id = $row['id_retirado'];
                            $data = $row['data'];
                            $devolucao =  $row['devolucao'];
                            $usou = $row['usuario'];
                            $id_reboque = $row['id_reboque'];
                            $km_usado = $row['km_usado'];
                            $km_entregue = $row['km_entregue'];
                            $situacao = $row['situacao'];
                        
                            $result_usuario = "SELECT * FROM reboque ORDER BY id_reboque ASC";
                            $resultado_usuario = mysqli_query($conexao, $result_usuario);
                            if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                                while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                                    $id_car = $row_usuario['id_reboque'];
                                    if($id_reboque == $id_car){
                                        $reboque = $row_usuario['modelo'];
                                        $placa = $row_usuario['placa'];
                                        $km = $row_usuario['km'];
                                        $cont++;
                        
                ?>
                        
                <tr>
                
                    <td colspan="2" id="<?php echo $id;?>" style="text-align: center; font-size:18px; width:200px;"> <?php echo $cont;?></td>
                    <td colspan="2" style="text-align: center; font-size:18px; width:200px;"> <?php echo $reboque;?></td>
                    <td colspan="2" style="text-align: center; font-size:18px; width:200px;"> <?php echo $placa;?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $data;?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $devolucao;?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $usou?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $situacao?></td>
                
                </tr>
                        
                <?php
                                        
                                    }
                        }    
                        
                        }else{
                            echo "Erro";
                        }

                        }
                        }else{
                            echo "Erro";
                        }
                        
                ?>
            </tbody>

        </table>
                        
    </div>
    
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const filtro = document.getElementById('filtro');
            const linhas = Array.from(document.querySelectorAll('tbody tr'));
        
            filtro.addEventListener('input', function () {
                const termo = this.value.trim().toLowerCase();
                
                requestAnimationFrame(() => {
                    linhas.forEach(linha => {
                        linha.style.display = linha.textContent.toLowerCase().includes(termo) ? 'table-row' : 'none';
                    });
                });
            });
        });

    </script>

    <!---
        Script de dividir a tabela em carros e reboques
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('btnCarros').addEventListener('click', function() {
                document.getElementById('tableCarros').style.display = 'table';
                document.getElementById('tableReboques').style.display = 'none';
                document.getElementById('btnCarros').classList.add('btn-dark');
                document.getElementById('btnCarros').classList.remove('btn-secondary');
                document.getElementById('btnReboques').classList.add('btn-secondary');
                document.getElementById('btnReboques').classList.remove('btn-dark');
            });
            
            document.getElementById('btnReboques').addEventListener('click', function() {
                document.getElementById('tableReboques').style.display = 'table';
                document.getElementById('tableCarros').style.display = 'none';
                document.getElementById('btnReboques').classList.add('btn-dark');
                document.getElementById('btnReboques').classList.remove('btn-secondary');
                document.getElementById('btnCarros').classList.add('btn-secondary');
                document.getElementById('btnCarros').classList.remove('btn-dark');
            });
        
            document.getElementById('filtro').addEventListener('input', function() {
                const filtro = this.value.toLowerCase();
                const linhasCarros = document.querySelectorAll('#tableCarros tbody tr');
                const linhasReboques = document.querySelectorAll('#tableReboques tbody tr');
        
                linhasCarros.forEach(function(linha) {
                    const conteudo = linha.innerText.toLowerCase();
                    linha.style.display = conteudo.includes(filtro) ? '' : 'none';
                });
        
                linhasReboques.forEach(function(linha) {
                    const conteudo = linha.innerText.toLowerCase();
                    linha.style.display = conteudo.includes(filtro) ? '' : 'none';
                });
            });
        });
    </script>--->




</body>
</html>