<?php
    session_start();
?>

<!DOCTYPE html>
<html>
<head>
    
    <link rel="manifest" href="/manifest.json">
    
    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href='img/favicon.ico' rel='icon'>
    
    <link rel="stylesheet" href="https://cdn.linearicons.com/free/1.0.0/icon-font.min.css">

    <link rel="stylesheet" type="text/css" href="css/bulma.css">
    
    <title>KM Taldi</title>

    <style>
        
        #caixa{
            border-radius: 30px 30px 30px 30px;
            width: 200px;
            margin-left: auto;
            margin-right: auto;
        }
        
        #caixa2{
            border-radius: 20px 20px 20px 20px;
            width: 100px;
            margin-left: auto;
            margin-right: auto;
        }
        
        #input{
            border-radius: 35px 35px 35px 35px;
            width: 280px;
            margin-left: auto;
            margin-right: auto;
        }
        
        #senha{
            border-radius: 35px 35px 35px 35px;
            width: 280px;
            margin-left: auto;
            margin-right: auto;
        }


                
    </style>
    
</head>
<body>
    
<form id="login" action="login.php" method="POST">
    
    <section class="hero is-light is-fullheight">
        
        <div class="hero-body">
         
            <div class="container has-text-centered">
                <div class="column is-4 is-offset-4">
                    <div class="box">

                        <h3 class="title has-text-grey">Login</h3>

                        <div class="field">
                            <div class="control">
                                <input id="input" type="text" name="nome" value="<?php echo $_COOKIE['nome'];?>" class="input is-large" placeholder="Inserir seu Usuário:" required>
                            </div>
                        </div>
                            
                        <div class="field">
                            <div class="control">
                                <input id="senha" type="password" name="senha" value="<?php echo $_COOKIE['senha'];?>" class="input is-large" placeholder="Inserir sua Senha:" required ><br>
                                <span id="olho" class="lnr lnr-eye" onclick="mostrarOcultarSenha()"></span>
                                
                                <script type="text/javascript" src="scripts.js"></script>   
                            </div>
                        </div>
                       
                       
                        <div>
							<div class="custom-control custom-checkbox checkbox">
								<label>
								    <input type="checkbox" name="lembrete" value="SIM" <?php echo $_COOKIE['check'];?> class="" id="">
								Lembre-me</label>
							</div>
						</div>

                        <div class="field">
                            <button id="caixa" type="submit" class="button is-block is-dark is-large is-fullwidth"> Entrar </button>
                        </div>

                        <div class="field">
                            <a href="cadastro.php"> <button id="caixa" type="button" class="button is-block is-danger is-large is-fullwidth"> Cadastrar </button></a>
                        </div>

                        <div id="buttonDiv">
                            <a href="cadastar.php"></a>
                        </div>

                        <p style="color: #000"> Esqueceu a senha?<br>
                        <a id="caixa2" class="button is-dark" href="esqueceu_senha.php">Clique aqui!</a> </p>

                    </div>
                </div>
            </div>
        </div>
        
    </section>

</form>

<script>
    self.addEventListener('install', function(event) {
    event.waitUntil(
        caches.open('meu-app-cache').then(function(cache) {
            return cache.addAll([
                '/',
                '/index.html',
                '/css/style.css',
                '/js/script.js',
                '/icons/icon-192x192.png',
                '/icons/icon-512x512.png'
            ]);
        })
    );
});

self.addEventListener('fetch', function(event) {
    event.respondWith(
        caches.match(event.request).then(function(response) {
            return response || fetch(event.request);
        })
    );
});

if ('serviceWorker' in navigator) {
    navigator.serviceWorker.register('/service-worker.js')
    .then(function(reg) {
        console.log("Service Worker registrado com sucesso!", reg);
    })
    .catch(function(err) {
        console.log("Erro ao registrar o Service Worker", err);
    });
}

</script>
</body>
</html>