<?php
include ('conexao.php');
//include ('logout_tempo.php');

$eu = "thalison";

session_start();

$nome = $_SESSION['nome'];

//echo $nome;

    $result_usuario = "SELECT * FROM carros ORDER BY id_carro ASC";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);
  
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <title>KM Taldi</title>
    <style>
        #caixa {
            border-radius: 35px;
            width: 100px;
            height: 40px;
            margin-left: auto;
            margin-right: auto;
        }
        table {
          width: 100%; 
        
        th, td {
          text-align: center; 
          vertical-align: middle; 
        }
    </style>
</head>

<body>

<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Relatório</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reservar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="relatorio.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" id="filtro" placeholder="Filtrar relatório..." aria-label="Search">
            </form>
        </div>
    </div>
</nav>

<div class="container">
    <h1 align="center" style="margin-top:50px">Edição dos Registros</h1>
    <div class="row my-3">
        <div class="col text-center">
            <button id="btnCarros" class="btn btn-dark">Carros</button>
            <button id="btnReboques" class="btn btn-secondary">Reboques</button>
        </div>
    </div>
                        
    <div class="table-responsive">
        <table id="tableCarros" class="table table-bordered table-hover">
            <thead class="thead-dark">
                <tr height="50" >
                            
                    <th style="font-size:20px" scope="col">Nº</th>
                    <th style="font-size:20px" scope="col">Modelo</th>
                    <th style="font-size:20px" scope="col">Placa</th>
                    <th style="font-size:20px" scope="col">KM Entregue</th>
                    <th style="font-size:20px" scope="col">KM Gastos</th>
                    <th style="font-size:20px" scope="col">KM Devolvida</th>
                    <th style="font-size:20px" scope="col">Retirada</th>
                    <th style="font-size:20px" scope="col">Devolução</th>
                    <th style="font-size:20px" scope="col">Quem Usou</th>
                    <th style="font-size:20px" scope="col">Situação</th>
                    <th style="font-size:20px" scope="col">Editar</th>

                </tr>
            </thead>
            
            <tbody>
                <?php
                    $cont = 0;
                    $result = "SELECT * FROM retirado ORDER BY situacao DESC, id_carro = 25 DESC, id_carro ASC, usuario ASC";
                    $resultado = mysqli_query($conexao, $result);
                    if(($resultado) AND ($resultado_usuario->num_rows != 0)) {
                        while($row = mysqli_fetch_assoc($resultado)){ 
                                
                            $id = $row['id_retirado'];
                            $data = $row['data'];
                            $devolucao =  $row['devolucao'];
                            $usou = $row['usuario'];
                            $id_carro = $row['id_carro'];
                            $km_usado = $row['km_usado'];
                            $km_entregue = $row['km_entregue'];
                            $situacao = $row['situacao'];
                        
                            $result_usuario = "SELECT * FROM carros ORDER BY id_carro ASC";
                            $resultado_usuario = mysqli_query($conexao, $result_usuario);
                            if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                                while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                                    $id_car = $row_usuario['id_carro'];
                                    if($id_carro == $id_car){
                                        $carro = $row_usuario['modelo'];
                                        $placa = $row_usuario['placa'];
                                        $km = $row_usuario['km'];
                                        $cont++;
                        
                ?>
                        
                <tr>
                 
                    <td id="<?php echo $id;?>" style="text-align: center;"> <?php echo $cont;?></td>
                    <td style="font-size:18px"> <?php echo $carro;?></td>
                    <td style="font-size:18px"> <?php echo $placa;?></td>
                    <td style="font-size:18px"> <?php echo $km_entregue;?></td>
                    <td style="font-size:18px"> <?php echo $km_usado;?></td>
                    <td style="font-size:18px"> <?php echo $km_entregue + $km_usado;?></td> <!-- Foi ajustado, agora fecha a célula corretamente -->

                        
                    <td style="font-size:18px"> <?php echo $data;?></td>
                    <td style="font-size:18px"> <?php echo $devolucao;?></td>
                    
                    <td style="font-size:18px"> <?php echo $usou?></td>
                    <td style="font-size:18px"> <?php echo $situacao?></td>
                    <td style="font-size:18px"> 
                        <?php
                            echo "<form method='post' action='editar_registro.php'> 
                            <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                            <input id='caixa' style='font-size:18px' type='submit' class='btn btn-outline-dark m-2' value='Editar'>
                            </form>"; 
                        ?>
                    </td>
                    
                    <?php
                                        
                                }
                        }    
                        
                        }else{
                            echo "Erro";
                        }

                        }
                        }else{
                            echo "Erro";
                        }
                        
                    ?>
            </tbody>
                       
        </table>
                        
    </div>
                         
<!------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------>    

    <div class="container">    
        <table id="tableReboques" class="table table-bordered" style="margin-top:20px; background-color: #fffffd; display: none;">
            <thead class="thead-dark">
                <tr height="50" >
                            
                    <th colspan="1" scope="col" style="text-align: center; font-size:20px;">Nº</th>
                    <th colspan="1" scope="col" style="text-align: center; font-size:20px;">Modelo</th>
                    <th colspan="1" scope="col" style="text-align: center; font-size:20px;">Placa</th>
                    <th style="font-size:20px" scope="col">Retirada</th>
                    <th style="font-size:20px" scope="col">Devolução</th>
                    <th style="font-size:20px" scope="col">Quem Usou</th>
                    <th style="font-size:20px" scope="col">Situação</th>
                    <th style="font-size:20px" scope="col">Editar</th>
        
                </tr>
            </thead>
            
            <tbody>
                <?php
                    $cont = 0;
                    $result = "SELECT * FROM retirado ORDER BY situacao DESC";
                    $resultado = mysqli_query($conexao, $result);
                    if(($resultado) AND ($resultado_usuario->num_rows != 0)) {
                        while($row = mysqli_fetch_assoc($resultado)){ 
                                
                            $id = $row['id_retirado'];
                            $data = $row['data'];
                            $devolucao =  $row['devolucao'];
                            $usou = $row['usuario'];
                            $id_reboque = $row['id_reboque'];
                            $km_usado = $row['km_usado'];
                            $km_entregue = $row['km_entregue'];
                            $situacao = $row['situacao'];
                        
                            $result_usuario = "SELECT * FROM reboque ORDER BY id_reboque ASC";
                            $resultado_usuario = mysqli_query($conexao, $result_usuario);
                            if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                                while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                                    $id_car = $row_usuario['id_reboque'];
                                    if($id_reboque == $id_car){
                                        $reboque = $row_usuario['modelo'];
                                        $placa = $row_usuario['placa'];
                                        $km = $row_usuario['km'];
                                        $cont++;
                        
                ?>
                        
                <tr>
                
                    <td colspan="" id="<?php echo $id;?>" style="text-align: center; font-size:18px; width:200px;"> <?php echo $cont;?></td>
                    <td colspan="1" style="text-align: center; font-size:18px; width:200px;"> <?php echo $reboque;?></td>
                    <td colspan="1" style="text-align: center; font-size:18px; width:200px;"> <?php echo $placa;?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $data;?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $devolucao;?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $usou?></td>
                    <td style="text-align: center; font-size:18px; width:200px;"> <?php echo $situacao?></td>
                   <td style="font-size:18px">
                        <?php
                            echo "<form method='post' action='editar_registro.php'> 
                            <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                            <input id='caixa' style='font-size:18px' type='submit' class='btn btn-outline-dark m-2' value='Editar'>
                            </form>"; 
                        ?>
                    </td>
                        
                </tr>
                        
                    <?php
                                        
                                    }
                        }    
                        
                        }else{
                            echo "Erro";
                        }

                        }
                        }else{
                            echo "Erro";
                        }
                        
                    ?>
            </tbody>
                        
        </table>
                        
    </div>

</div>

    <script>
    document.addEventListener('DOMContentLoaded', function() {
        document.getElementById('btnCarros').addEventListener('click', function() {
            document.getElementById('tableCarros').style.display = 'table';
            document.getElementById('tableReboques').style.display = 'none';
            document.getElementById('btnCarros').classList.add('btn-dark');
            document.getElementById('btnCarros').classList.remove('btn-secondary');
            document.getElementById('btnReboques').classList.add('btn-secondary');
            document.getElementById('btnReboques').classList.remove('btn-dark');
        });
        
        document.getElementById('btnReboques').addEventListener('click', function() {
            document.getElementById('tableReboques').style.display = 'table';
            document.getElementById('tableCarros').style.display = 'none';
            document.getElementById('btnReboques').classList.add('btn-dark');
            document.getElementById('btnReboques').classList.remove('btn-secondary');
            document.getElementById('btnCarros').classList.add('btn-secondary');
            document.getElementById('btnCarros').classList.remove('btn-dark');
        });
    
        document.getElementById('filtro').addEventListener('input', function() {
            const filtro = this.value.toLowerCase();
            const linhasCarros = document.querySelectorAll('#tableCarros tbody tr');
            const linhasReboques = document.querySelectorAll('#tableReboques tbody tr');
    
            linhasCarros.forEach(function(linha) {
                const conteudo = linha.innerText.toLowerCase();
                linha.style.display = conteudo.includes(filtro) ? '' : 'none';
            });
    
            linhasReboques.forEach(function(linha) {
                const conteudo = linha.innerText.toLowerCase();
                linha.style.display = conteudo.includes(filtro) ? '' : 'none';
            });
        });
    });
    </script>
    
</body>
</html>