<?php
// Inclui o arquivo de conexão ao banco de dados
include 'conexao.php';

// Verifica se o método de requisição é POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Verifica se o id_reserva foi enviado via POST
    if (isset($_POST['id_reserva'])) {
        // Escapa o id_reserva para evitar SQL injection
        $id_reserva = mysqli_real_escape_string($conexao, $_POST['id_reserva']);
        
        // Query SQL para excluir a reserva com base no id_reserva
        $query = "DELETE FROM reserva WHERE id_reserva = '$id_reserva'";
        
        // Executa a query
        if (mysqli_query($conexao, $query)) {
            // Redireciona de volta para a página anterior ou para onde desejar
            header("Location: reserva.php");
            exit();
        } else {
            echo "Erro ao cancelar a reserva: " . mysqli_error($conexao);
        }
    } else {
        echo "Erro: id_reserva não foi recebido.";
    }
} else {
    echo "Erro: Método de requisição inválido.";
}
?>
